<?php
session_start();
require_once('../../conexion.php');
require_once('../../include/sesiones.php');
// Declaramos la librería
require  ('vendor/autoload.php');

$tar_id=$_GET['tar_id'];

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spread = new Spreadsheet();

$sheet = $spread->getActiveSheet();
$sheet->getStyle('A:Z')->getAlignment()->setHorizontal('center');/* centar contenido de celdas */
$sheet->mergeCells('A1:c1')->mergeCells('A2:c2');/*combinas celdas*/

function cellColor($cells,$color)/* FUNSION PARA COLORES DE CELDA*/
{
    global $sheet;

    $sheet->getStyle($cells)->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()
    ->setARGB($color);
}

cellColor('A2:c2', 'BDBDBD'); 
cellColor('A1:c1', 'BDBDBD'); 
cellColor('A3:c3', 'FF4D00'); 


$sheet->setCellValue('A1', 'REPORTE INVENTARIO PRECIO ARTICULOS')
            ->setCellValue('A2', '')
            ->setCellValue('A3', 'REF')
            ->setCellValue('B3', 'NOMBRE')
            ->setCellValue('C3', 'PRECIO');

            //Ancho de las columnas
$sheet->getColumnDimension('A')->setWidth(15);   
$sheet->getColumnDimension('B')->setWidth(40);  
$sheet->getColumnDimension('C')->setWidth(10);

    $cel=4;//Numero de fila donde empezara a crear  el reporte

$query=mysqli_query($con,"SELECT * FROM articulos where empresa='$empresa' and art_tipo='articulo' and art_estado='Activo' ORDER BY art_nombre ASC ");

 while ($roww=mysqli_fetch_array($query))   
    {
        $art_id=$roww['art_id'];
        $sql2=mysqli_query($con, "SELECT * from articulos_has_bodegas where bodegas='$bod_id' and empresa='$empresa' and articulos_art_id='$art_id'");
        $c=mysqli_fetch_array($sql2);
        $art_cantidad=$c['art_cantidad'];

        $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
        $rw_pre= mysqli_fetch_array($sql_pre);
        $numrows = $rw_pre['pre_id'];
        if ($numrows>0)
        {
            $pre_precio=$rw_pre['pre_precio'];
        }
        else
        {
            $pre_precio=$row['art_pvp'];
        }

         
    $a="A".$cel;
    $b="B".$cel;
    $c="C".$cel;
       
    // Agregar datos
    $sheet
    ->setCellValue($a, $roww['art_referencia'])
    ->setCellValue($b, $roww['art_nombre'])
    ->setCellValue($c, number_format($pre_precio,0));
    
    
    $cel+=1;

      
}


// Redirigir la salida al navegador web de un cliente ( Excel5 )
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="REPORTE INVENTARIO PRECIO ARTICULOS.xlsx"');
header('Cache-Control: max-age=0');
// Si usted está sirviendo a IE 9 , a continuación, puede ser necesaria la siguiente
header('Cache-Control: max-age=1');

$writer = new Xlsx($spread);
$writer->save('php://output');
exit;
/*
$fileName="Descarga_excel.xlsx";
# Crear un "escritor"
$writer = new Xlsx($spread);
# Le pasamos la ruta de guardado

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment; filename="'. urlencode($fileName).'"');
$writer->save('php://output');
?>*/
?>